Bug 201437 - Review Request: Glom - Database designer
Review Request: Glom - Database designer
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
Depends On: 198613 199941 199943
  Show dependency treegraph
Reported: 2006-08-05 06:08 EDT by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-08 17:42:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2006-08-05 06:08:54 EDT
Spec URL: http://www.poolshark.org/src/glom.spec
SRPM URL: http://www.poolshark.org/src/glom-1.0.4-1.src.rpm

Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the PostgreSQL database backend.

Notes to reviewer: please review the dependent bugzilla entries first.
Comment 1 Denis Leroy 2006-10-03 06:28:46 EDT
Update to 1.0.5.
Looking for a reviewer.

Spec URL: http://www.poolshark.org/src/glom.spec
SRPM URL: http://www.poolshark.org/src/glom-1.0.5-1.src.rpm
Comment 2 Kevin Fenzi 2006-10-03 22:11:57 EDT
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
55e5b35d268e342ed5305e9c798856a4  glom-1.0.5.tar.bz2
55e5b35d268e342ed5305e9c798856a4  glom-1.0.5.tar.bz2.1
See below - Package compiles and builds on at least one arch.
See below - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Spec has needed ldconfig in post and postun
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.


OK - Should include License or ask upstream to include it.
See below - Should build in mock.


1. package doesn't build in mock. build.log has:

checking for GDU_MODULE_VERSION_CHECK... configure: error: Package requirements 
(gnome-doc-utils >= 0.3.2) were not met:

No package 'gnome-doc-utils' found

Missing 'BuildRequires: gnome-doc-utils' ?

Adding that gets a failure with:

No package 'pygda-1.2' found
No package 'libgnome-2.0' found

Your 'BuildRequires:  gnome-python2-gda' might need to be gnome-python2-gda-
You might also need 'BuildRequires: libgnome-devel' ?

Adding those it builds here.

2. Your configure has '--disable-scrollkeeper'. Is it worth including
scrollkeeper docs?

3. rpmlint on x86_64 says:

E: glom binary-or-shlib-defines-rpath /usr/lib64/python2.4/site-packages/
glom.so ['/usr/lib64']
E: glom binary-or-shlib-defines-rpath /usr/bin/glom ['/usr/lib64']

Perhaps a --disable-rpath?
Comment 3 Denis Leroy 2006-10-04 08:22:59 EDT
1. Fixed. Builds in mock now.

2. I removed it in case of, but I think the documentation is still work in
progress. I'll check with Murray.

3. After digging into this a bit more, I think you're right: it's standard case
of not using '--disable-rpath'. I added it, I'll try to verify when i get my
hands on a X86_64.

Comment 4 Kevin Fenzi 2006-10-05 00:45:52 EDT
1. ok. 

2. If you enable scrollkeeper, I think you need to do the items mentioned at: 


BuildRequires:  scrollkeeper
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

scrollkeeper-update -q || :

3. Alas, it looks like the configure there doesn't understand '--disable-
rpath'. ;( 

Next suggestions from the wiki: 

"execute export LIBTOOL=libtool before %configure; this might work sometimes 
but because ./libtool is created based on ./configure result, it will break 
horribly when host-tripled compilernames (e.g. 'i686-redhat-linux-gnu-gcc') are 

Some configure scripts do not allow overriding the LIBTOOL variable through an 
environment variable. In these cases it's usually possible to override the 
value of LIBTOOL on the make command line like so: make LIBTOOL=/usr/bin/

Comment 5 Denis Leroy 2006-10-05 07:55:07 EDT

2. Ok. I added the scrollkeeper scriptlets. I also had to re-add
'--disable-scrollkeeper': it does not prevent the doc from being installed, it
prevents the scrollkeeper updates from being done by the make scripts which is
what we want here since we now do it in the spec file.

3. Tough one this one. Unfortunately, specifying or exporting LIBTOOL breaks the
build with an obscure failure. The only way i found to fix this is to force
configure and libtool to be regenerated with a call to 'autoreconf -f': then
--disable-rpath is honoured. I had to add a patch to make this work on FC-5
(missing AC_SUBST).

- I added a MimeType to the desktop file, so that '*.glom' files are opened
correctly by Nautilus.
Comment 6 Kevin Fenzi 2006-10-05 18:38:16 EDT
2. ok. 

3. The -3 version doesn't build in mock on x86_64. 
Looks like you need: 

BuildRequires:  autoconf automake libtool

Adding those gets it building on fc6/devel, and no rpath issues. 

On fc5/x86_64, it fails later in the build: 
ssp-buffer-size=4 -m64 -mtune=generic -Wno-long-long -c -o application.o 
/usr/include/gconfmm-2.6/gconfmm/setinterface.h:42: warning: 'class 
Gnome::Conf::SetInterface' has virtual functions but non-virtual destructor
/usr/include/gconfmm-2.6/gconfmm/setinterface.h:42: warning: 'class 
Gnome::Conf::SetInterface' has virtual functions but non-virtual destructor
Bonobo_Activation_types.h:936: error: conflicting declaration 'typedef struct 
Bonobo_ServerInfo_type Bonobo_ServerInfo'
application.cc:31: error: 'Bonobo_ServerInfo' has a previous declaration as 
'typedef int Bonobo_ServerInfo'
make[3]: *** [application.o] Error 1

It might be worth just targeting fc6? Or did you need it for some reason in fc5?
Comment 7 Denis Leroy 2006-10-05 18:53:48 EDT
> 3. The -3 version doesn't build in mock on x86_64. 
> Looks like you need: 
> BuildRequires:  autoconf automake libtool

*doh* of course, sorry. actually automake will bring in autoconf. Fixed.

FC-5 build: yes the vfsmm patch only works for devel. BUT: i just realized the
patch is no longer necessary: it was a workaround for a gtkmm bug that was fixed
in a recent update. So it should now build on both FC-5 and FC-6 (the x86_64
system i had access to was an FC-5 system, but the review is meant to target devel).

Comment 8 Kevin Fenzi 2006-10-06 17:32:03 EDT
ok. That builds under both fc5 and fc6 / i386/x86_64. 
rpmlint is happy. 

Everything looks good. This package is APPROVED. 

Don't forget to close this NEXTRELEASE once you have imported and built it. 

You might also consider reviewing another waiting package to help spread the 
reviewing load. :) 
Comment 9 Denis Leroy 2006-10-08 17:42:54 EDT
Checked in and build. Thanks!!

Note You need to log in before you can comment on or make changes to this bug.